## matroskademux

matroskademux

## Properties

guint64 | max-gap-time | Read / Write

## Types and Values

| GstMatroskaDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMatroskaDemux

## Description

matroskademux demuxes a Matroska file into the different contained streams.

### Example launch line

    1

    gst-launch-1.0 -v filesrc location=/path/to/mkv ! matroskademux ! vorbisdec ! audioconvert ! audioresample ! autoaudiosink

This pipeline demuxes a Matroska file and outputs the contained Vorbis audio.

## Synopsis

### Element Information

plugin | matroska
author | GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-matroska
| video/x-matroska
| video/x-matroska-3d
| audio/webm
| video/webm

name | audio_%u
direction | source
presence | sometimes
details | ANY

name | subtitle_%u
direction | source
presence | sometimes
details | text/x-raw, format=(string)pango-markup
| application/x-ssa
| application/x-ass
| application/x-usf
| subpicture/x-dvd
| subpicture/x-pgs
| subtitle/x-kate
| application/x-subtitle-unknown

name | video_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### GstMatroskaDemux

    typedef struct _GstMatroskaDemux GstMatroskaDemux;

## Property Details

### The `“max-gap-time”` property

      “max-gap-time”             guint64

The demuxer sends out segment events for skipping gaps longer than this (0 = disabled).

Flags: Read / Write

Default value: 2000000000